Linux

Linux is our labour of love.

Starting with build 114220 we have upgraded our Ubuntu based toolchain to gcc-9 with LTO which is available in the default repositories or backports of most distributions.

gcc-9 is available for all Ubuntu releases back to Ubuntu 12 Precise and derivatives via https://wiki.ubuntu.com/ToolChain

gcc-9 for Debian 10 buster can be pulled from Debian 11 Bullseye.

https://gcc.gnu.org/onlinedocs/libstdc++/manual/abi.html

Local servers will see performance improvements from the move to gcc-9 with LTO and c++17.

https://www.phoronix.com/scan.php?page=news_item&px=GCC-9.1-Compiler-Released

Generic troubleshooting: https://planetaryannihilation.com/support/troubleshooting/

Official Support: https://support.planetaryannihilation.com/

Official Discord: https://discord.gg/pa

Linux Dependencies

  • libstdc++6 >= gcc-9 GLIBCXX_3.4.26 (native)
  • libcurl4-gnutls or libcurl-compat (native on non Ubuntu / Debian)
  • libsdl2 (provided by steam)
  • libgl1 (provided by steam)
  • libudev0 (provided by steam)
  • libuuid (provided by steam)

There are some known issues for Linux distributions not based on Ubuntu / Debian.

As a last resort if packages are not available for libudev0 or libcurl4-gnutls you might be able to use a hacky symlink (not recommended).

Stops on launch splash

Downloads are stalled due to missing certs on some non Debian / Ubuntu distributions like Fedora or NixOS.

Use the OpenSSL SSL_CERT_FILE environment variable when launching PA from a shell script:

SSL_CERT_FILE=/etc/ssl/certs/ca-bundle.crt

For steam command line arguments use:

SSL_CERT_FILE=/etc/ssl/certs/ca-bundle.crt %command%

Black screen or fails to start

Check your logs for missing dependencies:

  • libcurl4-gnutls
  • libstdc++6 from gcc-9 or newer

Some non Ubuntu / Debian distributions provide a libcurl-compat package for compatibility with libcurl-gnutls from Ubuntu based builds.

Mesa Coherent UI Panel Corruption

The following added to /etc/drirc or ~/.drirc in the <device driver="radeonsi"> section may help:

<application name="CoherentUI_Host"executable="CoherentUI_Host">
    <option name="radeonsi_zerovram" value="true" />
</application>

Linux Planetary Annihilation Data Directory

The default location is in your home directory:

  • ~/.local/Uber Entertainment/Planetary Annihilation/
THE GALAXY WON'T CONQUER ITSELF Get it now on Steam!
Get It on Steam

90% off for classic PA owners